Page MenuHomePhabricator

AMC - mark AMC setting as "new"
Closed, ResolvedPublic2 Story Points

Description

User Story

As an advanced user, I want to be aware that AMC is now deployed so that I can use the feature in my workflow

Acceptance criteria

  • Add a tag next to the AMC setting, marking it as new

Mockup

Signoff criteria

  • create a task that removes this tag after some months

QA Results

ACStatusDetails
1T225731#5343921

Details

Related Gerrit Patches:
mediawiki/skins/MinervaNeue : masterStyle the "new" indicator next to amc opt-in field
mediawiki/extensions/MobileFrontend : masterAdd indicator-circle to AMC option heading

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 13 2019, 3:33 PM
ovasileva triaged this task as Normal priority.Jun 13 2019, 3:33 PM
ovasileva raised the priority of this task from Normal to High.Jul 2 2019, 4:13 PM
ovasileva added a subscriber: alexhollender.

@alexhollender - let's get a new icon without text to limit translation worries

ovasileva set the point value for this task to 2.Jul 2 2019, 4:14 PM
alexhollender updated the task description. (Show Details)Jul 4 2019, 2:48 PM

@alexhollender - let's get a new icon without text to limit translation worries

updated

alexhollender updated the task description. (Show Details)Jul 9 2019, 4:30 PM

@Whatamidoing-WMF was kind, and smart, enough to point out to me that there are already a few places where "New" has been translated.

https://translatewiki.net/wiki/MediaWiki:Bs-permissionmanager-labeltpled-add/qqq (for a button)
https://translatewiki.net/wiki/MediaWiki:Articlefeedbackv5-new-marker/qqq (labeling a new comment)

are both likely to be appropriate, but I'm pretty sure that you'd have to (have a bot) copy the existing translations to a new MediaWiki label to use them. If that's too much work, then "(New)" is available from the new article string (complete with parentheses). And if they're willing to solve the problem once and for all, then they should consider just creating a new string that can be used by all product teams.

Change 523837 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[mediawiki/skins/MinervaNeue@master] Style the "new" indicator next to amc opt-in field

https://gerrit.wikimedia.org/r/523837

Change 523838 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[mediawiki/extensions/MobileFrontend@master] Add indicator-circle to AMC option heading

https://gerrit.wikimedia.org/r/523838

pmiazga removed pmiazga as the assignee of this task.Jul 17 2019, 2:40 PM
pmiazga added a subscriber: pmiazga.

Change 523838 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Add indicator-circle to AMC option heading

https://gerrit.wikimedia.org/r/523838

Change 523837 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Style the "new" indicator next to amc opt-in field

https://gerrit.wikimedia.org/r/523837

Edtadros reassigned this task from Edtadros to ovasileva.Jul 18 2019, 12:36 AM
Edtadros added a subscriber: Edtadros.

Test Result

Status: ✅ PASS
OS: macOS Mojave
Browser: Chrome
Device: MBP
Emulated Device: iPhoneX

Test Artifact(s):

✅ AC1: Add a tag next to the AMC setting, marking it as new

Edtadros updated the task description. (Show Details)Jul 18 2019, 12:37 AM

Looks good! Will sign off once it hits production

ovasileva closed this task as Resolved.Jul 24 2019, 5:07 PM

looks good on testwiki